$jq(document).ready(function() {
	var demo = new DemoRoom("The Basics", "videos/cubic_basics.mov");
	demo.addSection(0, "Project creation");
		demo.addNote(0, "<h2>CubicTest Basics</h2> Here we'll go over the basics of Cubic Test.");
		demo.addNote(1, "Lets start by switching to the CubicTest perspective so we can access the features of Cubic more easily.");
		demo.addNote(16, "Then we'll create a new Cubic project to test our demo web application, CubicShop, a simple online store.");
		demo.addNote(26, "First we'll enter a name for our project, lets just call it CubicShopTest");
		demo.addNote(34, "When the project is created we'll automatically create a new test");
		demo.addNote(37, "We'll be testing the register user functionality, so lets call our test 'Register User'.");
		demo.addNote(42, "Then we'll enter the url the application will be running on. We'll be developing locally, so lets just use <em>localhost</em> as our url.");

	demo.addSection(53, "States");
		demo.addNote(53, "Now that we have a new test we can start adding elements to the test definition.");
		demo.addNote(53, "Tests in Cubic are defined as a set of <em>States</em>, which represents the different states of the application as you interact with it, as well as <em>User Interactions</em> which represents the actions the user performs. This test is nearly empty, with only a single State. A <em>State</em> often represents a single webpage in your application, but it is entirely possible to have several <em>States</em> represent different states of the same web page. In this test the first state will represent the front page of our application, so lets rename it to 'Front Page' to reflect that.");
		demo.addNote(63, "Then we'll add another state, which will represent our <em>Register User</em> page.");
	demo.addSection(84, "User Interactions");
		demo.addNote(84, "We need a way to get from the <em>Front Page</em> to our <em>Register User</em> page though, so lets add a <em>Register</em> link.");
		demo.addNote(92, "Now that we have a link we can interact with it, so lets add a User Interaction transition between our <em>Front Page</em> and the <em>Register User</em> page.");
		demo.addNote(97, "To add an action on the link element, we select it from the drop down to the left.");
		demo.addNote(100, "We want to click it, so lets just leave the <em>action</em> field as-is.");
	demo.addSection(110, "Contexts");
		demo.addNote(110, "Now we can define our <em>Register User</em> page");
		demo.addNote(115, "Lets start by adding a <em>Context</em>. A Context defines a specific part of a webpage, like a header, a menu section, a form, etc. We'll create a Context to represent our registration form.");
		demo.addNote(128, "Then we'll add all the text fields and buttons that the form is composed of.");
		demo.addNote(172, "Finally we'll define the success page and the User Interaction to fill out and submit the form.");
		demo.addNote(257, "In the final state we'll simply verify that the text 'User registered successfully' is present.");
	demo.addSection(282, "Commons");
		demo.addNote(282, "Sometimes we want to verify that certain elements exists in several States. Instead of repeating these elements in every State, we can use a Common. A Common behaves just like a State, except that it can't have User Interactions. Instead, we can connect it to the States that should contain the common elements. Lets create a Common to hold the main menu of our web application.");

	demo.addNote(363, "That's it, thank you for watching!", {halt: false});

	demo.render();
});